import request from '@/utils/request'

// 查询参数列表
export function listApplyList(query) {
  return request({
    url: '/system/back/apply/list',
    method: 'get',
    params: query
  })
}
// 删除
export function delApplyItem(userId) {
  return request({
    url: '/system/back/apply/' + userId,
    method: 'delete'
  })
}

// 查询产品类型
export function listProductType() {
  return request({
    url: '/system/web/productType/all',
    method: 'get',
  })
}

//查询区域树
export function areaTree(data) {
  return request({
    url: '/system/web/position/findByCodeAndLevel',
    method: 'post',
    data: data
  })
}

//查询区域树
export function createOrder(data) {
  return request({
    url: '/system/web/order/create-order',
    method: 'post',
    data: data
  })
}


